=== debian/changelog ===
orthanc-webviewer (2.7-2) unstable; urgency=medium

  * Compatibility with Orthanc framework 1.9.0

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Jan 2021 16:17:14 +0100

orthanc-webviewer (2.7-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2020 18:04:53 +0100
