=== debian/changelog ===
orthanc-webviewer (2.8-4build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:44:38 +0100

orthanc-webviewer (2.8-4) unstable; urgency=medium

  * Team Upload.
  * Remove fcf-protection flag from autopkgtests (Closes: #1056396)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 23 Nov 2023 20:09:02 +0530

orthanc-webviewer (2.8-3) unstable; urgency=medium

  * Team upload.

  [ Komolehin Israel Timilehin ]
  * Add autopkgtest
  * Added salsa-ci file
  * Updated source/include-binaries
  * Fixed source missing error

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)

 -- Komolehin Israel Timilehin <komolehinisrael@gmail.com>  Tue, 24 Oct 2023 08:34:29 +0000

orthanc-webviewer (2.8-2) unstable; urgency=medium

  * Updated d/copyright

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Jun 2022 08:08:23 +0200

orthanc-webviewer (2.8-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 22 Feb 2022 09:18:11 +0100

orthanc-webviewer (2.7-7) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 14 Jan 2022 15:30:22 +0100

orthanc-webviewer (2.7-6) unstable; urgency=medium

  * Fix syntax error in /etc/orthanc/webviewer.json

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 19 Dec 2021 11:07:18 +0100

orthanc-webviewer (2.7-5) unstable; urgency=medium

  * Changed cache location to "/tmp/OrthancWebViewerCache". Closes: #828949

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 24 Oct 2021 11:53:44 +0200

orthanc-webviewer (2.7-4) unstable; urgency=medium

  * Added missing "Built-Using" attribute. Closes: #989127

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 07 Jun 2021 14:21:25 +0200

orthanc-webviewer (2.7-3) unstable; urgency=medium

  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 26 Feb 2021 14:41:24 +0100
