=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,16 @@
 	-DSTANDALONE_BUILD:BOOL=ON \
         -DORTHANC_FRAMEWORK_SOURCE:STRING=system \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
+	-DORTHANC_FRAMEWORK_USE_SHARED:BOOL=OFF \
+	"-DORTHANC_FRAMEWORK_ADDITIONAL_LIBRARIES=boost_filesystem boost_iostreams boost_locale boost_regex boost_thread jsoncpp pugixml uuid sqlite3" \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
+
+# Automated generation of the "Built-Using" attribute in "d/control"
+# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=989127
+# Adapted from:
+# https://wiki.debian.org/SIMDEverywhere#Approach (Point 6)
+override_dh_gencontrol:
+	dh_gencontrol -- -Vorthancframework:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W liborthancframework-dev)"
 
 override_dh_auto_configure:
         # Place the third-party JavaScript libraries at the location
