=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz
