## orthanc-webviewer 2.9+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
 # Copyright (C) 2017-2022 Osimis S.A., Belgium
-# Copyright (C) 2021-2022 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +22,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.8")
+set(ORTHANC_PLUGIN_VERSION "2.9")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.9.7")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -201,3 +201,8 @@
 add_dependencies(UnitTests AutogeneratedTarget)
 
 target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
+
+if (COMMAND DefineSourceBasenameForTarget)
+  DefineSourceBasenameForTarget(OrthancWebViewer)
+  DefineSourceBasenameForTarget(UnitTests)
+endif()
