=== debian/changelog ===
orthanc-webviewer (2.9+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild for libjsoncpp26

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 10 Nov 2024 11:06:08 +0000

orthanc-webviewer (2.9+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 29 Mar 2024 13:29:56 +0100
