=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                libboost-all-dev,
                libgtest-dev,
                libjpeg-dev,
@@ -14,21 +14,23 @@
                liborthancframework-dev,
                libpng-dev,
                libsqlite3-dev,
-               orthanc-dev (>= 0.9.5),
+               orthanc-dev,
                unzip,
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
 Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
+Rules-Requires-Root: no
 
 Package: orthanc-webviewer
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 1.7.1)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Description: Web viewer of medical images for Orthanc
  Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
  Neutral Archive for medical imaging. It extends Orthanc with an integrated
