=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
 export JAVASCRIPT_LIBS := Build/javascript-libs
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET := libOrthancWebViewer.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
