## orthanc-webviewer 2.10+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2022 Osimis S.A., Belgium
-# Copyright (C) 2021-2024 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
+# Copyright (C) 2017-2023 Osimis S.A., Belgium
+# Copyright (C) 2024-2025 Orthanc Team SRL, Belgium
+# Copyright (C) 2021-2025 Sebastien Jodogne, ICTEAM UCLouvain, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -22,13 +23,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_PLUGIN_VERSION "2.9")
+set(ORTHANC_PLUGIN_VERSION "2.10")
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.3")
+  set(ORTHANC_FRAMEWORK_DEFAULT_VERSION "1.12.7")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -77,7 +78,7 @@
   set(ENABLE_GOOGLE_TEST ON)
   set(ENABLE_SQLITE ON)
   set(ENABLE_MODULE_JOBS OFF CACHE INTERNAL "")
-  set(ENABLE_MODULE_DICOM OFF CACHE INTERNAL "")
+  set(ENABLE_MODULE_DICOM ON CACHE INTERNAL "")
   
   include(${ORTHANC_FRAMEWORK_ROOT}/../Resources/CMake/OrthancFrameworkConfiguration.cmake)
   include_directories(${ORTHANC_FRAMEWORK_ROOT})
