=== debian/changelog ===
orthanc-webviewer (2.10+dfsg-2) unstable; urgency=medium

  * Fix FTBFS due to recent updates to CMake. Closes: #1113377

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 11:32:32 +0200

orthanc-webviewer (2.10+dfsg-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 13 May 2025 21:28:21 +0200

orthanc-webviewer (2.9+dfsg-2) unstable; urgency=medium

  * Fix FTBFS due to recent updates to dcmtk. Closes: #1102781

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 14 Apr 2025 09:33:21 +0200
