=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
-Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
+Homepage: https://orthanc.uclouvain.be/book/plugins/webviewer.html
 Rules-Requires-Root: no
 
 Package: orthanc-webviewer
