=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends: @,
         build-essential,
         cmake,
         libgtest-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         liborthancframework-dev,
         libpng-dev,
         libsqlite3-dev,
         uuid-dev,
         orthanc-dev (>= 0.9.5),
         orthanc-doc
