=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
https://orthanc.uclouvain.be/downloads/sources/orthanc-webviewer/index.html OrthancWebViewer-(\d\S*)\.tar\.gz
